Page MenuHomePhabricator

jobrunner should send statsd in batches
Closed, ResolvedPublic

Description

followup from T116031: mediawiki should send statsd metrics in batches

graphite1001:~$ sudo ngrep -q -W byline '^jobrunner' udp dst port 8125 | head -30
interface: eth0 (10.64.32.0/255.255.252.0)
filter: (ip or ip6) and ( udp dst port 8125 )
match: ^jobrunner

U 10.64.0.38:41031 -> 10.64.32.155:8125
jobrunner.spawn.mw1008:1|c


U 10.64.0.38:41031 -> 10.64.32.155:8125
jobrunner.prioritychange.mw1008:2|c


U 10.64.0.38:41031 -> 10.64.32.155:8125
jobrunner.prioritychange.mw1008:2|c


U 10.64.0.38:41031 -> 10.64.32.155:8125
jobrunner.some-full.mw1008:1|c


U 10.64.0.36:53389 -> 10.64.32.155:8125
jobrunner.pop.cdnPurge.ok.mw1006:2|c


U 10.64.32.35:46383 -> 10.64.32.155:8125
jobrunner.pop.refreshLinksDynamic.ok.mw1165:1|c


U 10.64.0.36:53389 -> 10.64.32.155:8125
jobrunner.spawn.mw1006:6|c

Details

Related Gerrit Patches:
mediawiki/services/jobrunner : masterBatch stats to statsd

Event Timeline

fgiunchedi removed fgiunchedi as the assignee of this task.Apr 14 2016, 2:28 PM

auto assigned by mistake while cloning

Change 259660 had a related patch set uploaded (by Addshore):
Batch stats to statsd

https://gerrit.wikimedia.org/r/259660

Addshore moved this task from Unsorted 💣 to Active 🚁 on the User-Addshore board.

Change 259660 merged by jenkins-bot:
Batch stats to statsd

https://gerrit.wikimedia.org/r/259660

Is this one deployed yet?

Krinkle edited projects, added WMF-JobQueue; removed Graphite.Nov 18 2016, 6:27 PM

@Addshore doesn't look like it (checked on mw1161). @aaron this could go with the next train?

*poke @aaron again* can this be closed?

aaron added a comment.Mar 9 2017, 2:23 AM

I put it up for SWAT tomorrow.

aaron closed this task as Resolved.Mar 10 2017, 2:46 AM
aaron claimed this task.

Should be deployed now. I restarted one server's services manually to check it on ganglia/logs. The others might take a while since the wikitech salt command does not work.

aaron added a comment.Mar 10 2017, 2:49 AM

Should be deployed now. I restarted one server's services manually to check it on ganglia/logs. The others might take a while since the wikitech salt command does not work.

Nevermind, I ran those now too, so everything is fully restarted.